<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ResourceGroupManager.html">ResourceGroupManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::ResourceGroupManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a37f66e01848479cdca64398ef5438b9c">_findScriptLoader</a>(const String &amp;pattern)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a814015b5d3b200de06045bacc5fe5780">_getResourceManager</a>(const String &amp;resourceType)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a9101eca6c6f8b53c0aed0058d8fa2598">_notifyAllResourcesRemoved</a>(ResourceManager *manager)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#acfd6523433a294e45f83b0177280aafe">_notifyResourceCreated</a>(ResourcePtr &amp;res)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a89f5ae82ae1d2f451185f2d7e051607e">_notifyResourceGroupChanged</a>(const String &amp;oldGroup, Resource *res)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ad155520f8ac3d6fe8bd20c1cd93318ce">_notifyResourceRemoved</a>(ResourcePtr &amp;res)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#abbf9af3ad2cbc12a8c0b5eba9211fce7">_notifyWorldGeometryStageEnded</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a71733c340057f8f7fbfdfbbfcc4a1f7c">_notifyWorldGeometryStageStarted</a>(const String &amp;description)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a791bfb9582a3ce16425371e66b899128">_registerResourceManager</a>(const String &amp;resourceType, ResourceManager *rm)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#aafd69be90e1774f2a4b34c4e6dcaa38a">_registerScriptLoader</a>(ScriptLoader *su)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a7b09da95b6e1dcecdee14a9e37a6c555">_unregisterResourceManager</a>(const String &amp;resourceType)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a9b4ec48c9f25a6e37fa7d4cb5eac5520">_unregisterScriptLoader</a>(ScriptLoader *su)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a4e293436fb2ec1013b8f872c81ad78ae">addCreatedResource</a>(ResourcePtr &amp;res, ResourceGroup &amp;group)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a8f8027c8d44d25f2d3b18d0a8caaa42d">addResourceGroupListener</a>(ResourceGroupListener *l)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a63c9ac3c8701d58c8c8b8cf5f8df7849">addResourceLocation</a>(const String &amp;name, const String &amp;locType, const String &amp;resGroup=DEFAULT_RESOURCE_GROUP_NAME, bool recursive=false)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a70da3137e703c147b98fbfbbebfbf023">AUTODETECT_RESOURCE_GROUP_NAME</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a7046808e2a8caf92e19907e5d9c310fd">clearResourceGroup</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a419f38237e0a3fc7746fe420f8ff5f08">createDeclaredResources</a>(ResourceGroup *grp)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a0425193c06cee0c82e78accf67eabac7">createResource</a>(const String &amp;filename, const String &amp;groupName=DEFAULT_RESOURCE_GROUP_NAME, bool overwrite=false, const String &amp;locationPattern=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ab25f95cc6e760a356146acea69a3640e">createResourceGroup</a>(const String &amp;name, const bool inGlobalPool=true)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a1c684fc288dcdeeeeee7c10971c3af43">declareResource</a>(const String &amp;name, const String &amp;resourceType, const String &amp;groupName=DEFAULT_RESOURCE_GROUP_NAME, const NameValuePairList &amp;loadParameters=NameValuePairList())</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#af88e3d5af3a2f1234d5f0c57a63ff605">declareResource</a>(const String &amp;name, const String &amp;resourceType, const String &amp;groupName, ManualResourceLoader *loader, const NameValuePairList &amp;loadParameters=NameValuePairList())</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a62561ccf5ff323942a9a4fab94bee7e3">DEFAULT_RESOURCE_GROUP_NAME</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a585775b68272af64eddf87d0a95f5f5a">deleteGroup</a>(ResourceGroup *grp)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a814dfb00aff1cd0f1cabac8e0fc3a133">deleteMatchingResources</a>(const String &amp;filePattern, const String &amp;groupName=DEFAULT_RESOURCE_GROUP_NAME, const String &amp;locationPattern=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#afde6d5e5dde2252753cce88f2077e986">deleteResource</a>(const String &amp;filename, const String &amp;groupName=DEFAULT_RESOURCE_GROUP_NAME, const String &amp;locationPattern=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a08332f26f6b6479361cc107e71146c66">destroyResourceGroup</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a28a8fa30d92fa9723f7eb1c2e32e3b1b">dropGroupContents</a>(ResourceGroup *grp)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a9ef647369074ad1df5c732a47296b66b">findGroupContainingResource</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a7210dad62e79ae0411b90de4a84e146c">findGroupContainingResourceImpl</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ad460942ee4e7157ae5b73764c07eb4bc">findResourceFileInfo</a>(const String &amp;group, const String &amp;pattern, bool dirs=false)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#aa040d5b0ba63c17c9e92c493575c7b9e">findResourceLocation</a>(const String &amp;groupName, const String &amp;pattern)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a8633b13446e913d69f0f436d0f1c705d">findResourceNames</a>(const String &amp;groupName, const String &amp;pattern, bool dirs=false)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a95d0ad67fe3421d340379aaed02e99dc">fireResourceGroupLoadEnded</a>(const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ada2b5f3d48e4176a3d9cccd261e6305e">fireResourceGroupLoadStarted</a>(const String &amp;groupName, size_t resourceCount)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a8ae5b2895d9255e64b8bd5e16c415cb0">fireResourceGroupPrepareEnded</a>(const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a72bfc8519e145193b94cfab28e8f01dd">fireResourceGroupPrepareStarted</a>(const String &amp;groupName, size_t resourceCount)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a5f82a272e5cca553fca536c5d5be65a4">fireResourceGroupScriptingEnded</a>(const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#aa70f4ce856399f0cdb91fbd9cbfeab07">fireResourceGroupScriptingStarted</a>(const String &amp;groupName, size_t scriptCount)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#acb55501668f420b9fee876c557501f21">fireResourceLoadEnded</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ad17b011b4aa04c4ec6fd0eef9fc4c2b7">fireResourceLoadStarted</a>(const ResourcePtr &amp;resource)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a444033ae152fcee50e33b7d86acde46b">fireResourcePrepareEnded</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ace72340047811f76bdc6b01efd171d1c">fireResourcePrepareStarted</a>(const ResourcePtr &amp;resource)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a89a454cd0b00f6872261bbacb142ab41">fireScriptEnded</a>(const String &amp;scriptName, bool skipped)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a0d3dfb82c02fbbf691c7d0c4ab7fa946">fireScriptStarted</a>(const String &amp;scriptName, bool &amp;skipScript)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a15b993cbbc4864d6b47a1926b888c1b8">getLoadingListener</a>()</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a1cbbb7f25666562589d9428ae9cc3706">getResourceDeclarationList</a>(const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#aa5397018d7ded1329ad0175241f1f887">getResourceGroup</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a286f7b3fb982c0980e9bc4de237aa593">getResourceGroups</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#abddbc7cc054bfcd703aceb4ed4aa515f">getResourceLocationList</a>(const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a7e64ea1228280465675f0b1438d21e4a">getResourceManagerIterator</a>()</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a45101333f0f9ff132fc381dd5c4a1d60">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a375aaff7929cfb5560d69b0056363aa0">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a6a5134c3cf869331c5740a6a5e2728f0">getWorldResourceGroupName</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a3562a410d5854514d3b662b5968bab33">initialiseAllResourceGroups</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#af5c901bfb116d7f70f4542bd828784f4">initialiseResourceGroup</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a41cf771aba39d52af949d5295e7e18e3">INTERNAL_RESOURCE_GROUP_NAME</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#aca4aae46a89687c9f1c9a27e4f13b423">isResourceGroupInGlobalPool</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ab4e56c0baeabbc796abbd6832c4c1481">isResourceGroupInitialised</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a0525ebdab7b1e77acabd883d9e262a07">isResourceGroupLoaded</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a632b4b36f47b6c6f88df62cca7e3d7b4">linkWorldGeometryToResourceGroup</a>(const String &amp;group, const String &amp;worldGeometry, SceneManager *sceneManager)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ad0e7e504bbf763125cef2d725606328b">listResourceFileInfo</a>(const String &amp;groupName, bool dirs=false)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ab2a5fce295ec862a192e583906c1ab14">listResourceLocations</a>(const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ab9f554bc463de7fd116b2ce59879fb11">listResourceNames</a>(const String &amp;groupName, bool dirs=false)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a3b1d27ae4ff8fe5b9ac48f6325b727e9">loadResourceGroup</a>(const String &amp;name, bool loadMainResources=true, bool loadWorldGeom=true)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ae78277e18f7f03269812115fd29239e7">LoadUnloadResourceList</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a039c42be59f29534c5883888c969a1c2">LocationList</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ab40aa8555ffed48c406fc9249cced867">mCurrentGroup</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ae0873f38a86748dc5a59c7bf0eb85075">mLoadingListener</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#aa661528e26f468563b5ecc15c173a48c">mResourceGroupListenerList</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ab7f766cbec187cee71d7a5f2cbb5ce89">mResourceGroupMap</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a82dcce5013ae2f212deed20212d29b59">mResourceManagerMap</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a72ebdd393f6b90d5850c4adad6a24b18">mScriptLoaderOrderMap</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; ResourceGroupManager &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#adc2312c705ebf3f2cfacdea67b3a8357">mWorldGroupName</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a59383aca4ce35694ebce498d43283567">openResource</a>(const String &amp;resourceName, const String &amp;groupName=DEFAULT_RESOURCE_GROUP_NAME, bool searchGroupsIfNotFound=true, Resource *resourceBeingLoaded=0)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a3d0c6c5951154b20ff08b77c49aa91b4">openResources</a>(const String &amp;pattern, const String &amp;groupName=DEFAULT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#abf107fcfb6b40468dface99b9be30251">parseResourceGroupScripts</a>(ResourceGroup *grp)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a393b8f97afc33fa4404e03a6f6ef9b36">prepareResourceGroup</a>(const String &amp;name, bool prepareMainResources=true, bool prepareWorldGeom=true)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a9e7c5dfc9905d1eee64289d9dc0fa6a5">removeResourceGroupListener</a>(ResourceGroupListener *l)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a8eaa9df18f04d69402f7369dca5a4cca">removeResourceLocation</a>(const String &amp;name, const String &amp;resGroup=DEFAULT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a2f859bb7ae7ea232379d238c8fdfd142">RESOURCE_SYSTEM_NUM_REFERENCE_COUNTS</a></td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a995494b3213135be428eef21990744e5">ResourceDeclarationList</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a58a6c2662cbd5a3300eb3c17ebe79333">resourceExists</a>(const String &amp;group, const String &amp;filename)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a50874658287dff57c5d4bc713b77351d">resourceExists</a>(ResourceGroup *group, const String &amp;filename)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a634c03b30b1008b00f0db3f435449932">resourceExistsInAnyGroup</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a750ee84e040ecec82ba2457ad646ed27">resourceGroupExists</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ac7a472b6fb477c733cde7e8bbecf4869">ResourceGroupListenerList</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ad843c3889b80ebd8e01aed9cf81b3769">ResourceGroupManager</a>()</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#abecf110c35bd4d2d26c224773c330ab4">ResourceGroupMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#aaebc643cd50cb8ae91064ad7d33012e2">resourceLocationExists</a>(const String &amp;name, const String &amp;resGroup=DEFAULT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#ab7bef8c8877dc6bed2c26cbdf7d0b5a1">ResourceLocationIndex</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#af875db11dc5aba6ab72ec40296af9a5c">ResourceManagerIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#af93b96bb29c7d5b2ecc0d37bc82841d4">ResourceManagerMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#afb3d5943565b32c927981e141c52c671">resourceModifiedTime</a>(const String &amp;group, const String &amp;filename)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a8b6c0a31a7a4f535f695556fff40782f">resourceModifiedTime</a>(ResourceGroup *group, const String &amp;filename)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a4a4003b5d0456fa714f4f7ef7d152f58">ScriptLoaderOrderMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#acd4fe53cc4f0ab2800d7675fc4cba9b2">setLoadingListener</a>(ResourceLoadingListener *listener)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a407415b99c1df3b275e2609e16e8b39f">setWorldResourceGroupName</a>(const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#acb9bf6a75143b0ce49a0af7d05b213fe">shutdownAll</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; ResourceGroupManager &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a90bbba7b33448bb46a58f0759faa657a">undeclareResource</a>(const String &amp;name, const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a365755132ea7380ea97cc2da51bb5651">unlinkWorldGeometryFromResourceGroup</a>(const String &amp;group)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a01166a19f261e9b4fd2908c94c829d08">unloadResourceGroup</a>(const String &amp;name, bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a03e3014b60337592bdfd01cffe8ff11f">unloadUnreferencedResourcesInGroup</a>(const String &amp;name, bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceGroupManager.html#a5287a0923df2c8c4363d5527b81c7cd4">~ResourceGroupManager</a>()</td><td><a class="el" href="classOgre_1_1ResourceGroupManager.html">Ogre::ResourceGroupManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; ResourceGroupManager &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
